aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--config/hypr/UserConfigs/UserSettings.conf17
-rwxr-xr-xcopy.sh4
2 files changed, 13 insertions, 8 deletions
diff --git a/config/hypr/UserConfigs/UserSettings.conf b/config/hypr/UserConfigs/UserSettings.conf
index 9190a265..c7b17fec 100644
--- a/config/hypr/UserConfigs/UserSettings.conf
+++ b/config/hypr/UserConfigs/UserSettings.conf
@@ -8,9 +8,6 @@
# Sourcing colors generated by wallust
source = $HOME/.config/hypr/wallust/wallust-hyprland.conf
-# blurls = waybar
-# blurls = rofi
-
dwindle {
pseudotile = yes
preserve_split = yes
@@ -18,7 +15,7 @@ dwindle {
}
master {
- new_status = master #from Hyprland >v0.41.2
+ new_status = master
new_on_top = 1
mfact = 0.5
}
@@ -148,7 +145,7 @@ misc {
enable_swallow = true
swallow_regex = ^(kitty)$
focus_on_activate = false
- #no_direct_scanout = true #for fullscreen games
+ #no_direct_scanout = true #for fullscreen games - deprecated
initial_workspace_tracking = 0
middle_click_paste = false
}
@@ -164,9 +161,15 @@ xwayland {
force_zero_scaling = true
}
-# cursor section for Hyprland >= v0.41.0
+# render section for Hyprland >= v0.42.0
+render {
+ explicit_sync = 2
+ explicit_sync_kms = 2
+ direct_scanout = false
+}
+
cursor {
no_hardware_cursors = false
enable_hyprcursor = true
- warp_on_change_workspace = true # for -git or Hyprland >v0.41.1
+ warp_on_change_workspace = true
}
diff --git a/copy.sh b/copy.sh
index 2995a6c6..609d09d7 100755
--- a/copy.sh
+++ b/copy.sh
@@ -49,12 +49,14 @@ xdg-user-dirs-update 2>&1 | tee -a "$LOG" || true
# setting up for nvidia
if lspci -k | grep -A 2 -E "(VGA|3D)" | grep -iq nvidia; then
- echo "Nvidia GPU detected. Setting up proper env's" 2>&1 | tee -a "$LOG" || true
+ echo "Nvidia GPU detected. Setting up proper env's and configs" 2>&1 | tee -a "$LOG" || true
sed -i '/env = LIBVA_DRIVER_NAME,nvidia/s/^#//' config/hypr/UserConfigs/ENVariables.conf
sed -i '/env = __GLX_VENDOR_LIBRARY_NAME,nvidia/s/^#//' config/hypr/UserConfigs/ENVariables.conf
sed -i '/env = NVD_BACKEND,direct/s/^#//' config/hypr/UserConfigs/ENVariables.conf
# enabling no hardware cursors if nvidia detected
sed -i 's/^\([[:space:]]*no_hardware_cursors[[:space:]]*=[[:space:]]*\)false/\1true/' config/hypr/UserConfigs/UserSettings.conf
+ # disabling explicit sync for nvidia for now (Hyprland 0.42.0)
+ sed -i 's/ explicit_sync = 2/ explicit_sync = 0/' config/hypr/UserConfigs/UserSettings.conf
fi
# uncommenting WLR_RENDERER_ALLOW_SOFTWARE,1 if running in a VM is detected
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage